Bug 248071 - editors/vscode: vscode always fails to build because of inconsistent dependency
Summary: editors/vscode: vscode always fails to build because of inconsistent dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-18 15:45 UTC by Koichiro Iwao
Modified: 2020-08-11 02:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tagattie)


Attachments
patch (888 bytes, text/plain)
2020-07-18 15:45 UTC, Koichiro Iwao
no flags Details
patch-on-electron7 (1.62 KB, patch)
2020-07-18 15:55 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2020-07-18 15:45:47 UTC
Created attachment 216542 [details]
patch

editors/vscode has dependency like this:

editors/vscode
 ├ devel/electron7 ─ www/node12
 └ www/node10

However, www/node10 and www/node12 CONFLICTS_INSTALL each other. As a result, editors/vscode always fails to build.  It should not depend on multiple node versions at the same time.
Comment 1 Koichiro Iwao freebsd_committer 2020-07-18 15:55:29 UTC
Created attachment 216543 [details]
patch-on-electron7

I would say also devel/electron* should depend on *a single version* of node as well.
Comment 2 Koichiro Iwao freebsd_committer 2020-08-04 16:32:51 UTC
Take due to maintainer timeout.
Comment 3 commit-hook freebsd_committer 2020-08-11 02:19:25 UTC
A commit references this bug:

Author: meta
Date: Tue Aug 11 02:18:32 UTC 2020
New revision: 544659
URL: https://svnweb.freebsd.org/changeset/ports/544659

Log:
  editors/vscode: Resolve dependency confliction on node10 and 12

  vscode has direct build dependency on npm-node10. And also has build dependency
  on devel/electron7. devel/electron7 depends on npm-node12. As a result,
  editors/vscode has dependency on both npm-node10 and npm-node12 however they
  conflicts each other. This confliction of dependency prevent this port building.

  PR:		248071
  Submitted by:	meta (myself)
  Approved by:	maintainer timeout

Changes:
  head/devel/electron7/Makefile
  head/editors/vscode/Makefile